d247460e1302d8c214585829ee901f583e36a74d
[debian/dhcpd-pools.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38         THANKS TODO depcomp install-sh missing mkinstalldirs
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
46 CONFIG_HEADER = config.h
47 CONFIG_CLEAN_FILES =
48 CONFIG_CLEAN_VPATH_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52         html-recursive info-recursive install-data-recursive \
53         install-dvi-recursive install-exec-recursive \
54         install-html-recursive install-info-recursive \
55         install-pdf-recursive install-ps-recursive install-recursive \
56         installcheck-recursive installdirs-recursive pdf-recursive \
57         ps-recursive uninstall-recursive
58 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
59   distclean-recursive maintainer-clean-recursive
60 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62         distdir dist dist-all distcheck
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = $(SUBDIRS)
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70   { test ! -d "$(distdir)" \
71     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72          && rm -fr "$(distdir)"; }; }
73 am__relativize = \
74   dir0=`pwd`; \
75   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
76   sed_rest='s,^[^/]*/*,,'; \
77   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
78   sed_butlast='s,/*[^/]*$$,,'; \
79   while test -n "$$dir1"; do \
80     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
81     if test "$$first" != "."; then \
82       if test "$$first" = ".."; then \
83         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
84         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
85       else \
86         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
87         if test "$$first2" = "$$first"; then \
88           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
89         else \
90           dir2="../$$dir2"; \
91         fi; \
92         dir0="$$dir0"/"$$first"; \
93       fi; \
94     fi; \
95     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
96   done; \
97   reldir="$$dir2"
98 DIST_ARCHIVES = $(distdir).tar.gz
99 GZIP_ENV = --best
100 distuninstallcheck_listfiles = find . -type f -print
101 distcleancheck_listfiles = find . -type f -print
102 ACLOCAL = @ACLOCAL@
103 AMTAR = @AMTAR@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 CC = @CC@
109 CCDEPMODE = @CCDEPMODE@
110 CFLAGS = @CFLAGS@
111 CPP = @CPP@
112 CPPFLAGS = @CPPFLAGS@
113 CYGPATH_W = @CYGPATH_W@
114 DEFS = @DEFS@
115 DEPDIR = @DEPDIR@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 GREP = @GREP@
122 INSTALL = @INSTALL@
123 INSTALL_DATA = @INSTALL_DATA@
124 INSTALL_PROGRAM = @INSTALL_PROGRAM@
125 INSTALL_SCRIPT = @INSTALL_SCRIPT@
126 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
127 LDFLAGS = @LDFLAGS@
128 LIBOBJS = @LIBOBJS@
129 LIBS = @LIBS@
130 LTLIBOBJS = @LTLIBOBJS@
131 MAKEINFO = @MAKEINFO@
132 MKDIR_P = @MKDIR_P@
133 OBJEXT = @OBJEXT@
134 PACKAGE = @PACKAGE@
135 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
136 PACKAGE_NAME = @PACKAGE_NAME@
137 PACKAGE_STRING = @PACKAGE_STRING@
138 PACKAGE_TARNAME = @PACKAGE_TARNAME@
139 PACKAGE_URL = @PACKAGE_URL@
140 PACKAGE_VERSION = @PACKAGE_VERSION@
141 PATH_SEPARATOR = @PATH_SEPARATOR@
142 SET_MAKE = @SET_MAKE@
143 SHELL = @SHELL@
144 STRIP = @STRIP@
145 VERSION = @VERSION@
146 abs_builddir = @abs_builddir@
147 abs_srcdir = @abs_srcdir@
148 abs_top_builddir = @abs_top_builddir@
149 abs_top_srcdir = @abs_top_srcdir@
150 ac_ct_CC = @ac_ct_CC@
151 am__include = @am__include@
152 am__leading_dot = @am__leading_dot@
153 am__quote = @am__quote@
154 am__tar = @am__tar@
155 am__untar = @am__untar@
156 bindir = @bindir@
157 build_alias = @build_alias@
158 builddir = @builddir@
159 datadir = @datadir@
160 datarootdir = @datarootdir@
161 docdir = @docdir@
162 dvidir = @dvidir@
163 exec_prefix = @exec_prefix@
164 host_alias = @host_alias@
165 htmldir = @htmldir@
166 includedir = @includedir@
167 infodir = @infodir@
168 install_sh = @install_sh@
169 libdir = @libdir@
170 libexecdir = @libexecdir@
171 localedir = @localedir@
172 localstatedir = @localstatedir@
173 mandir = @mandir@
174 mkdir_p = @mkdir_p@
175 oldincludedir = @oldincludedir@
176 pdfdir = @pdfdir@
177 prefix = @prefix@
178 program_transform_name = @program_transform_name@
179 psdir = @psdir@
180 sbindir = @sbindir@
181 sharedstatedir = @sharedstatedir@
182 srcdir = @srcdir@
183 sysconfdir = @sysconfdir@
184 target_alias = @target_alias@
185 top_build_prefix = @top_build_prefix@
186 top_builddir = @top_builddir@
187 top_srcdir = @top_srcdir@
188 AUTOMAKE_OPTIONS = gnits
189 SUBDIRS = src man contrib
190 all: config.h
191         $(MAKE) $(AM_MAKEFLAGS) all-recursive
192
193 .SUFFIXES:
194 am--refresh:
195         @:
196 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
197         @for dep in $?; do \
198           case '$(am__configure_deps)' in \
199             *$$dep*) \
200               echo ' cd $(srcdir) && $(AUTOMAKE) --gnits'; \
201               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnits \
202                 && exit 0; \
203               exit 1;; \
204           esac; \
205         done; \
206         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits Makefile'; \
207         $(am__cd) $(top_srcdir) && \
208           $(AUTOMAKE) --gnits Makefile
209 .PRECIOUS: Makefile
210 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
211         @case '$?' in \
212           *config.status*) \
213             echo ' $(SHELL) ./config.status'; \
214             $(SHELL) ./config.status;; \
215           *) \
216             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
217             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
218         esac;
219
220 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
221         $(SHELL) ./config.status --recheck
222
223 $(top_srcdir)/configure:  $(am__configure_deps)
224         $(am__cd) $(srcdir) && $(AUTOCONF)
225 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
226         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
227 $(am__aclocal_m4_deps):
228
229 config.h: stamp-h1
230         @if test ! -f $@; then \
231           rm -f stamp-h1; \
232           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
233         else :; fi
234
235 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
236         @rm -f stamp-h1
237         cd $(top_builddir) && $(SHELL) ./config.status config.h
238 $(srcdir)/config.h.in:  $(am__configure_deps) 
239         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
240         rm -f stamp-h1
241         touch $@
242
243 distclean-hdr:
244         -rm -f config.h stamp-h1
245
246 # This directory's subdirectories are mostly independent; you can cd
247 # into them and run `make' without going through this Makefile.
248 # To change the values of `make' variables: instead of editing Makefiles,
249 # (1) if the variable is set in `config.status', edit `config.status'
250 #     (which will cause the Makefiles to be regenerated when you run `make');
251 # (2) otherwise, pass the desired values on the `make' command line.
252 $(RECURSIVE_TARGETS):
253         @fail= failcom='exit 1'; \
254         for f in x $$MAKEFLAGS; do \
255           case $$f in \
256             *=* | --[!k]*);; \
257             *k*) failcom='fail=yes';; \
258           esac; \
259         done; \
260         dot_seen=no; \
261         target=`echo $@ | sed s/-recursive//`; \
262         list='$(SUBDIRS)'; for subdir in $$list; do \
263           echo "Making $$target in $$subdir"; \
264           if test "$$subdir" = "."; then \
265             dot_seen=yes; \
266             local_target="$$target-am"; \
267           else \
268             local_target="$$target"; \
269           fi; \
270           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
271           || eval $$failcom; \
272         done; \
273         if test "$$dot_seen" = "no"; then \
274           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
275         fi; test -z "$$fail"
276
277 $(RECURSIVE_CLEAN_TARGETS):
278         @fail= failcom='exit 1'; \
279         for f in x $$MAKEFLAGS; do \
280           case $$f in \
281             *=* | --[!k]*);; \
282             *k*) failcom='fail=yes';; \
283           esac; \
284         done; \
285         dot_seen=no; \
286         case "$@" in \
287           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
288           *) list='$(SUBDIRS)' ;; \
289         esac; \
290         rev=''; for subdir in $$list; do \
291           if test "$$subdir" = "."; then :; else \
292             rev="$$subdir $$rev"; \
293           fi; \
294         done; \
295         rev="$$rev ."; \
296         target=`echo $@ | sed s/-recursive//`; \
297         for subdir in $$rev; do \
298           echo "Making $$target in $$subdir"; \
299           if test "$$subdir" = "."; then \
300             local_target="$$target-am"; \
301           else \
302             local_target="$$target"; \
303           fi; \
304           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
305           || eval $$failcom; \
306         done && test -z "$$fail"
307 tags-recursive:
308         list='$(SUBDIRS)'; for subdir in $$list; do \
309           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
310         done
311 ctags-recursive:
312         list='$(SUBDIRS)'; for subdir in $$list; do \
313           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
314         done
315
316 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
317         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
318         unique=`for i in $$list; do \
319             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
320           done | \
321           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
322               END { if (nonempty) { for (i in files) print i; }; }'`; \
323         mkid -fID $$unique
324 tags: TAGS
325
326 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
327                 $(TAGS_FILES) $(LISP)
328         set x; \
329         here=`pwd`; \
330         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
331           include_option=--etags-include; \
332           empty_fix=.; \
333         else \
334           include_option=--include; \
335           empty_fix=; \
336         fi; \
337         list='$(SUBDIRS)'; for subdir in $$list; do \
338           if test "$$subdir" = .; then :; else \
339             test ! -f $$subdir/TAGS || \
340               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
341           fi; \
342         done; \
343         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
344         unique=`for i in $$list; do \
345             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346           done | \
347           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
348               END { if (nonempty) { for (i in files) print i; }; }'`; \
349         shift; \
350         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
351           test -n "$$unique" || unique=$$empty_fix; \
352           if test $$# -gt 0; then \
353             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
354               "$$@" $$unique; \
355           else \
356             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
357               $$unique; \
358           fi; \
359         fi
360 ctags: CTAGS
361 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
362                 $(TAGS_FILES) $(LISP)
363         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
364         unique=`for i in $$list; do \
365             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366           done | \
367           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
368               END { if (nonempty) { for (i in files) print i; }; }'`; \
369         test -z "$(CTAGS_ARGS)$$unique" \
370           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
371              $$unique
372
373 GTAGS:
374         here=`$(am__cd) $(top_builddir) && pwd` \
375           && $(am__cd) $(top_srcdir) \
376           && gtags -i $(GTAGS_ARGS) "$$here"
377
378 distclean-tags:
379         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
380
381 distdir: $(DISTFILES)
382         @case `sed 15q $(srcdir)/NEWS` in \
383         *"$(VERSION)"*) : ;; \
384         *) \
385           echo "NEWS not updated; not releasing" 1>&2; \
386           exit 1;; \
387         esac
388         $(am__remove_distdir)
389         test -d "$(distdir)" || mkdir "$(distdir)"
390         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
391         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
392         list='$(DISTFILES)'; \
393           dist_files=`for file in $$list; do echo $$file; done | \
394           sed -e "s|^$$srcdirstrip/||;t" \
395               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
396         case $$dist_files in \
397           */*) $(MKDIR_P) `echo "$$dist_files" | \
398                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
399                            sort -u` ;; \
400         esac; \
401         for file in $$dist_files; do \
402           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
403           if test -d $$d/$$file; then \
404             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
405             if test -d "$(distdir)/$$file"; then \
406               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
407             fi; \
408             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
409               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
410               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
411             fi; \
412             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
413           else \
414             test -f "$(distdir)/$$file" \
415             || cp -p $$d/$$file "$(distdir)/$$file" \
416             || exit 1; \
417           fi; \
418         done
419         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
420           if test "$$subdir" = .; then :; else \
421             test -d "$(distdir)/$$subdir" \
422             || $(MKDIR_P) "$(distdir)/$$subdir" \
423             || exit 1; \
424           fi; \
425         done
426         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
427           if test "$$subdir" = .; then :; else \
428             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
429             $(am__relativize); \
430             new_distdir=$$reldir; \
431             dir1=$$subdir; dir2="$(top_distdir)"; \
432             $(am__relativize); \
433             new_top_distdir=$$reldir; \
434             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
435             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
436             ($(am__cd) $$subdir && \
437               $(MAKE) $(AM_MAKEFLAGS) \
438                 top_distdir="$$new_top_distdir" \
439                 distdir="$$new_distdir" \
440                 am__remove_distdir=: \
441                 am__skip_length_check=: \
442                 am__skip_mode_fix=: \
443                 distdir) \
444               || exit 1; \
445           fi; \
446         done
447         -test -n "$(am__skip_mode_fix)" \
448         || find "$(distdir)" -type d ! -perm -755 \
449                 -exec chmod u+rwx,go+rx {} \; -o \
450           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
451           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
452           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
453         || chmod -R a+r "$(distdir)"
454 dist-gzip: distdir
455         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
456         $(am__remove_distdir)
457
458 dist-bzip2: distdir
459         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
460         $(am__remove_distdir)
461
462 dist-lzma: distdir
463         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
464         $(am__remove_distdir)
465
466 dist-xz: distdir
467         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
468         $(am__remove_distdir)
469
470 dist-tarZ: distdir
471         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
472         $(am__remove_distdir)
473
474 dist-shar: distdir
475         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
476         $(am__remove_distdir)
477
478 dist-zip: distdir
479         -rm -f $(distdir).zip
480         zip -rq $(distdir).zip $(distdir)
481         $(am__remove_distdir)
482
483 dist dist-all: distdir
484         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
485         $(am__remove_distdir)
486
487 # This target untars the dist file and tries a VPATH configuration.  Then
488 # it guarantees that the distribution is self-contained by making another
489 # tarfile.
490 distcheck: dist
491         case '$(DIST_ARCHIVES)' in \
492         *.tar.gz*) \
493           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
494         *.tar.bz2*) \
495           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
496         *.tar.lzma*) \
497           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
498         *.tar.xz*) \
499           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
500         *.tar.Z*) \
501           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
502         *.shar.gz*) \
503           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
504         *.zip*) \
505           unzip $(distdir).zip ;;\
506         esac
507         chmod -R a-w $(distdir); chmod a+w $(distdir)
508         mkdir $(distdir)/_build
509         mkdir $(distdir)/_inst
510         chmod a-w $(distdir)
511         test -d $(distdir)/_build || exit 0; \
512         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
513           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
514           && am__cwd=`pwd` \
515           && $(am__cd) $(distdir)/_build \
516           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
517             $(DISTCHECK_CONFIGURE_FLAGS) \
518           && $(MAKE) $(AM_MAKEFLAGS) \
519           && $(MAKE) $(AM_MAKEFLAGS) dvi \
520           && $(MAKE) $(AM_MAKEFLAGS) check \
521           && $(MAKE) $(AM_MAKEFLAGS) install \
522           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
523           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
524           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
525                 distuninstallcheck \
526           && chmod -R a-w "$$dc_install_base" \
527           && ({ \
528                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
529                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
530                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
531                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
532                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
533               } || { rm -rf "$$dc_destdir"; exit 1; }) \
534           && rm -rf "$$dc_destdir" \
535           && $(MAKE) $(AM_MAKEFLAGS) dist \
536           && rm -rf $(DIST_ARCHIVES) \
537           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
538           && cd "$$am__cwd" \
539           || exit 1
540         $(am__remove_distdir)
541         @(echo "$(distdir) archives ready for distribution: "; \
542           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
543           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
544 distuninstallcheck:
545         @$(am__cd) '$(distuninstallcheck_dir)' \
546         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
547            || { echo "ERROR: files left after uninstall:" ; \
548                 if test -n "$(DESTDIR)"; then \
549                   echo "  (check DESTDIR support)"; \
550                 fi ; \
551                 $(distuninstallcheck_listfiles) ; \
552                 exit 1; } >&2
553 distcleancheck: distclean
554         @if test '$(srcdir)' = . ; then \
555           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
556           exit 1 ; \
557         fi
558         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
559           || { echo "ERROR: files left in build directory after distclean:" ; \
560                $(distcleancheck_listfiles) ; \
561                exit 1; } >&2
562 check-am: all-am
563 check: check-recursive
564 all-am: Makefile config.h
565 installdirs: installdirs-recursive
566 installdirs-am:
567 install: install-recursive
568 install-exec: install-exec-recursive
569 install-data: install-data-recursive
570 uninstall: uninstall-recursive
571
572 install-am: all-am
573         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
574
575 installcheck: installcheck-recursive
576 install-strip:
577         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
578           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
579           `test -z '$(STRIP)' || \
580             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
581 mostlyclean-generic:
582
583 clean-generic:
584
585 distclean-generic:
586         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
587         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
588
589 maintainer-clean-generic:
590         @echo "This command is intended for maintainers to use"
591         @echo "it deletes files that may require special tools to rebuild."
592 clean: clean-recursive
593
594 clean-am: clean-generic mostlyclean-am
595
596 distclean: distclean-recursive
597         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
598         -rm -f Makefile
599 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
600
601 dvi: dvi-recursive
602
603 dvi-am:
604
605 html: html-recursive
606
607 html-am:
608
609 info: info-recursive
610
611 info-am:
612
613 install-data-am:
614
615 install-dvi: install-dvi-recursive
616
617 install-dvi-am:
618
619 install-exec-am:
620
621 install-html: install-html-recursive
622
623 install-html-am:
624
625 install-info: install-info-recursive
626
627 install-info-am:
628
629 install-man:
630
631 install-pdf: install-pdf-recursive
632
633 install-pdf-am:
634
635 install-ps: install-ps-recursive
636
637 install-ps-am:
638
639 installcheck-am:
640
641 maintainer-clean: maintainer-clean-recursive
642         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
643         -rm -rf $(top_srcdir)/autom4te.cache
644         -rm -f Makefile
645 maintainer-clean-am: distclean-am maintainer-clean-generic
646
647 mostlyclean: mostlyclean-recursive
648
649 mostlyclean-am: mostlyclean-generic
650
651 pdf: pdf-recursive
652
653 pdf-am:
654
655 ps: ps-recursive
656
657 ps-am:
658
659 uninstall-am:
660
661 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
662         ctags-recursive install-am install-strip tags-recursive
663
664 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
665         all all-am am--refresh check check-am clean clean-generic \
666         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
667         dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
668         distclean distclean-generic distclean-hdr distclean-tags \
669         distcleancheck distdir distuninstallcheck dvi dvi-am html \
670         html-am info info-am install install-am install-data \
671         install-data-am install-dvi install-dvi-am install-exec \
672         install-exec-am install-html install-html-am install-info \
673         install-info-am install-man install-pdf install-pdf-am \
674         install-ps install-ps-am install-strip installcheck \
675         installcheck-am installdirs installdirs-am maintainer-clean \
676         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
677         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
678
679
680 # Tell versions [3.59,3.63) of GNU make to not export all variables.
681 # Otherwise a system limit (for SysV at least) may be exceeded.
682 .NOEXPORT: